Tournament API › Match location types
GET /match-location-types
Returns all match location types.
Resource URL
https://api.toornament.com/organizer/v2/match-location-typesHTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization) - Rangestring
A range of requested items using the
typesunit. The size of the range can not exceed 50. (see Pagination)Example: types=0-49
Query Parameters
- tournament_idsarray
Only return match locations for the given list of tournaments.
Example: 378426939508809728,534138941862841533
- match_location_type_idsarray
Only return match location types for the given list of ids.
Example: 435866997671919859,435866997671919867
Request Body
This endpoint does not require a request body.
Response
[206] Success
Example
[
{
"id": "534138941862841533",
"tournament_id": "378426939508809728",
"name": "station"
}
]Structure (collection)
- idstring
The unique identifier of the match location type.
Example: "534138941862841533"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- namestring
The name of the location type.
Possible values: station, zone
POST /match-location-types
Creates a new match location type in a tournament.
Resource URL
https://api.toornament.com/organizer/v2/match-location-typesHTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Query Parameters
This endpoint does not have any query parameters.
Request Body
Match location type data
Example
{
"tournament_id": "378426939508809728",
"name": "station"
}Structure (object)
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- namestring
The name of the location type.
Possible values: station, zone
Response
[201] Match location type created.
Example
{
"id": "534138941862841533",
"tournament_id": "378426939508809728",
"name": "station"
}Structure (object)
- idstring
The unique identifier of the match location type.
Example: "534138941862841533"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- namestring
The name of the location type.
Possible values: station, zone
GET /match-location-types/{id}
Returns a match location type identified with the given id.
Resource URL
https://api.toornament.com/organizer/v2/match-location-types/{id}HTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Path parameters
- idstring
The id of the match location type.
Query Parameters
This endpoint does not have any query parameters.
Request Body
This endpoint does not require a request body.
Response
[200] Match location type retrieved.
Example
{
"id": "534138941862841533",
"tournament_id": "378426939508809728",
"name": "station"
}Structure (object)
- idstring
The unique identifier of the match location type.
Example: "534138941862841533"
- tournament_idstring
An identifier for a tournament; can be used in other APIs.
Example: "378426939508809728"
- namestring
The name of the location type.
Possible values: station, zone
DELETE /match-location-types/{id}
Deletes a single match location type, identified by the given id.
Resource URL
https://api.toornament.com/organizer/v2/match-location-types/{id}HTTP headers
- X-Api-Keystring
API key of your application (see Authentication)
- Authorizationstring
Access token with
organizer:adminscope (see Authorization)
Path parameters
- idstring
The id of the match location type.
Query Parameters
This endpoint does not have any query parameters.
Request Body
This endpoint does not require a request body.